routes/admin.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'Admin\DashboardController')->name('dashboard');

Route::get('register', 'Auth\RegisterController@showRegistrationForm')->name('register');
Route::post('register', 'Auth\RegisterController@register');

Route::get('change-password', 'Auth\ResetPasswordController@showForm')->name('password.change');
Route::post('change-password', 'Auth\ResetPasswordController@update');

Route::post('logout', 'Auth\LoginController@logout');

Route::group(['as' => 'admin.'], function(){
    Route::resource('app_text', 'Admin\AppTextController');

    Route::resource('solution', 'Admin\SolutionController');
    Route::put('solution/{solution}/update-active', 'Admin\SolutionController@updateActive')->name('solution.update.active');
    Route::put('solution/{solution}/update-sort', 'Admin\SolutionController@updateSort')->name('solution.update.sort');

    Route::resource('image-upload', 'Admin\ImageUploadController');

    Route::resource('menu', 'Admin\MenuController');
    Route::put('menu/{menu}/update-active', 'Admin\MenuController@updateActive')->name('menu.update.active');
    Route::put('menu/{menu}/update-sort', 'Admin\MenuController@updateSort')->name('menu.update.sort');
    Route::put('menu/{menu}/update-top', 'Admin\MenuController@updateShowTop')->name('menu.update.top');
    Route::put('menu/{menu}/update-footer', 'Admin\MenuController@updateShowFooter')->name('menu.update.footer');

    Route::resource('customer_rating', 'Admin\CustomerRatingController');
    Route::put('customer_rating/{customer_rating}/update-active', 'Admin\CustomerRatingController@updateActive')->name('customer_rating.update.active');
    Route::put('customer_rating/{customer_rating}/update-sort', 'Admin\CustomerRatingController@updateSort')->name('customer_rating.update.sort');

    Route::resource('article', 'Admin\ArticleController');
    Route::put('article/{article}/update-active', 'Admin\ArticleController@updateActive')->name('article.update.active');
    Route::put('article/{article}/update-menu', 'Admin\ArticleController@updateMenu')->name('article.update.menu');

    Route::resource('construction', 'Admin\ConstructionController');
    Route::put('construction/{construction}/update-active', 'Admin\ConstructionController@updateActive')->name('construction.update.active');
    Route::put('construction/{construction}/update-sort', 'Admin\ConstructionController@updateSort')->name('construction.update.sort');

    Route::resource('production', 'Admin\ProductionController');
    Route::put('production/{production}/update-active', 'Admin\ProductionController@updateActive')->name('production.update.active');
    Route::put('production/{production}/update-sort', 'Admin\ProductionController@updateSort')->name('production.update.sort');

    Route::resource('news', 'Admin\NewsController');
    Route::put('news/{news}/update-active', 'Admin\NewsController@updateActive')->name('news.update.active');
    Route::put('news/{news}/update-sort', 'Admin\NewsController@updateSort')->name('news.update.sort');
});

routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/', 'Front\TopController')->name('index');
Route::get('login', 'Auth\LoginController@showLoginForm')->name('login');
Route::post('login', 'Auth\LoginController@login');
Route::post('logout', 'Auth\LoginController@logout')->name('logout');

Route::get('{slug}', ['uses' => 'Front\PageController@index'])->where('slug', '([A-Za-z0-9\-\/]+)');

//Auth::routes();

// Route::get('/home', 'HomeController@index')->name('home');

// Route::prefix('admin')->middleware('auth')->group(function () {
//     Route::get('/', function () {
//     return (1); die;
//     })->name('admin.amin');

//     Route::get('/register', 'Auth\RegisterController@showRegistrationForm')->name('register');
//     Route::post('/register', 'Auth\RegisterController@register');
// });

app/Http/Controllers/Admin/NewsController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Model\News;
use App\Model\Node;

class NewsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $datas = News::sort();

        return view(PATH_NEWS.'index', compact('datas'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view(PATH_NEWS.'create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        try {
            $image_path = $this->uploadImage($request->file('image_file'));

            $news = News::create([
                'name'        => $request->name,
                'description' => $request->description,
                'content'     => $request->content,
                'image_path'  => $image_path
            ]);

            $node = $news->node()->create(['name' => $request->name]);

            if ((boolean)$node) {
                return redirect()->route('admin.news.index')
                    ->with([
                        'f_level' => 'success',
                        'f_message' => 'Tạo mới thành công'
                    ]);
            } else {
                return redirect()->route('admin.news.index')
                    ->with([
                        'f_level' => 'error',
                        'f_message' => 'Đã xảy ra lỗi'
                    ]);
            }
        } catch (\Exception $e) {
            return redirect()->route('dashboard')
                ->with([
                    'f_level' => 'error',
                    'f_message' => 'Catch Error'
                ]);
        }
    }

    public function uploadImage($image)
    {
        $imagePath = $image;
        $imageName = time() . rand(1,100) . '.' . $imagePath->getClientOriginalExtension();

        $status = $image->move(public_path(PATH_NEWS_IMAGE), $imageName);
        if ((boolean)$status)
            return PATH_NEWS_IMAGE . '/' . $imageName;
        else
            return PATH_DEFAULT_IMAGE;
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $data = News::findOrFail($id);

        return view(PATH_NEWS.'edit', compact('data'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        try {
            $data = News::findOrFail($id)->update([
                'name'        => $request->name,
                'description' => $request->description,
                'content'     => $request->content
            ]);

            if ($request->hasFile('image_file')) {
                $image_path = $this->uploadImage($request->file('image_file'));
                $data = News::findOrFail($id)->update([
                    'image_path'  => $image_path
                ]);
            }

            if ((boolean)$data) {
                return redirect()->route('admin.news.index')
                    ->with([
                        'f_level' => 'success',
                        'f_message' => 'Cập nhật thành công'
                    ]);
            } else {
                return redirect()->route('admin.news.index')
                    ->with([
                        'f_level' => 'error',
                        'f_message' => 'Đã xảy ra lỗi'
                    ]);
            }
        } catch (\Exception $e) {
            return redirect()->route('dashboard')
                ->with([
                    'f_level' => 'error',
                    'f_message' => 'Catch Error'
                ]);
        }
    }

    public function updateActive(Request $request, $id)
    {
        try {
            $active = (isset($request->active) ? config('desf.admin.active') : config('desf.admin.inactive'));

            $data = News::findOrFail($id)->update([
                'active' => $active
            ]);

            if ((boolean)$data) {
                return redirect()->route('admin.news.index')
                    ->with([
                        'f_level' => 'success',
                        'f_message' => 'Cập nhật thành công'
                    ]);
            } else {
                return redirect()->route('admin.news.index')
                    ->with([
                        'f_level' => 'error',
                        'f_message' => 'Đã xảy ra lỗi'
                    ]);
            }
        } catch (\Exception $e) {
            return redirect()->route('dashboard')
                ->with([
                    'f_level' => 'error',
                    'f_message' => 'Catch Error'
                ]);
        }
    }

    public function updateSort(Request $request, $id)
    {
        try {
            if ((int)$request->sort < 1 || (int)$request->sort > 40) {
                return redirect()->route('admin.news.index')
                    ->with([
                        'f_level' => 'error',
                        'f_message' => 'Đã xảy ra lỗi'
                    ]);
                exit();
            }


            $data = News::findOrFail($id)->update([
                'sort' => $request->sort
            ]);

            if ((boolean)$data) {
                return redirect()->route('admin.news.index')
                    ->with([
                        'f_level' => 'success',
                        'f_message' => 'Cập nhật thành công'
                    ]);
            } else {
                return redirect()->route('admin.news.index')
                    ->with([
                        'f_level' => 'error',
                        'f_message' => 'Đã xảy ra lỗi'
                    ]);
            }
        } catch (\Exception $e) {
            return redirect()->route('dashboard')
                ->with([
                    'f_level' => 'error',
                    'f_message' => 'Catch Error'
                ]);
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/admin/pages/news/create.blade.php
@extends('admin.layouts.app')
@section('title', 'Tin tức')
@push('css')
<link rel="stylesheet" href="{{ asset('admin/plugins/summernote/summernote-bs4.css') }}">
<style>
    .note-group-select-from-files {
        display: none;
    }
</style>
@endpush
@section('breadcrumb')
<li class="breadcrumb-item active">Tin tức</li>
@endsection
@section('content')
<div class="row">
    <div class="col-md-12">
        <div class="card card-primary">
            <div class="card-header">
                <h3 class="card-title">Thêm mới</h3>
            </div>
            <!-- /.card-header -->
            <!-- form start -->
            <form method="POST" role="form" action="{{ route('admin.news.store') }}" enctype="multipart/form-data">
                @csrf
                <div class="card-body">
                    <div class="form-group">
                        <label for="exampleInputEmail1">Tên</label>
                        <input type="text" class="form-control" name="name" required>
                    </div>
                    <div class="form-group">
                        <label for="exampleInputEmail1">Mô tả</label>
                        <textarea rows="5" class="form-control show_edit_tool" name="description"></textarea>
                    </div>
                    <div class="form-group">
                        <label for="exampleInputEmail1">Nội dung</label>
                        <textarea rows="5" class="form-control show_edit_tool" name="content"></textarea>
                    </div>
                    <div class="form-group">
                        <label for="exampleInputFile">Hình ảnh(770px 370px)</label>
                        <div class="input-group">
                            <div class="custom-file">
                                <input type="file" required name="image_file" class="custom-file-input" id="exampleInputFile">
                                <label class="custom-file-label" for="exampleInputFile">Chọn hình</label>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.card-body -->
                <div class="card-footer">
                    <button type="submit" class="btn btn-primary">Hoàn thành</button>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection
@push('scripts')
<script src="{{ asset('admin/plugins/summernote/summernote-bs4.min.js') }}"></script>
<script>
$(function() {
    $('.show_edit_tool').summernote({
        callbacks: {
            onPaste: function (e) {
                var bufferText = ((e.originalEvent || e).clipboardData || window.clipboardData).getData('Text');
                e.preventDefault();
                document.execCommand('insertText', false, bufferText);
            }
        }
    });
});

</script>
<script>
// Add the following code if you want the name of the file appear on select
$(".custom-file-input").on("change", function() {
    var fileName = $(this).val().split("\\").pop();
    $(this).siblings(".custom-file-label").addClass("selected").html(fileName);
});

</script>
@endpush

resources/views/admin/pages/news/edit.blade.php
@extends('admin.layouts.app')

@section('title', 'Tin tức')

@push('css')
<link rel="stylesheet" href="{{ asset('admin/plugins/summernote/summernote-bs4.css') }}">
<style>
    .note-group-select-from-files {
        display: none;
    }
</style>
@endpush

@section('breadcrumb')
<li class="breadcrumb-item active">Tin tức</li>
@endsection

@section('content')
<div class="row">
    <div class="col-md-8">
        <div class="card card-primary">
            <div class="card-header">
                <h3 class="card-title">Chỉnh sửa</h3>
            </div>
            <!-- /.card-header -->
            <!-- form start -->
            <form method="POST" role="form" action="{{ route('admin.news.update', $data->id) }}" enctype="multipart/form-data">
                @csrf
                @method('PUT')
                <div class="card-body">
                    <div class="form-group">
                        <label for="exampleInputEmail1">Tên</label>
                        <input type="text" class="form-control" name="name" value="{{ $data->name }}" required>
                    </div>
                    <div class="form-group">
                        <label for="exampleInputEmail1">Mô tả</label>
                            <textarea rows="5" class="form-control show_edit_tool" name="description">{!! $data->description; !!}</textarea>
                    </div>
                    <div class="form-group">
                        <label for="exampleInputEmail1">Nội dung</label>
                        <textarea rows="5" class="form-control show_edit_tool" name="content">{!! $data->content !!}</textarea>
                    </div>
                    <div class="form-group">
                        <label for="exampleInputEmail1">Hình ảnh(770px 370px)</label>
                        <div class="row">
                            <div class="col-md-4">
                                <img src="{{ asset($data->image_path) }}" class="img-fluid">
                            </div>
                            <div class="col-md-8 align-middle">
                                <div class="input-group">
                                    <div class="custom-file">
                                        <input type="file" name="image_file" class="custom-file-input" id="exampleInputFile">
                                        <label class="custom-file-label" for="exampleInputFile">Chọn hình</label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.card-body -->
                <div class="card-footer">
                    <button type="submit" class="btn btn-primary">Hoàn thành</button>
                </div>
            </form>
        </div>
    </div>
    <div class="col-md-4">
        <div class="card card-info">
            <div class="card-header">
                <h3 class="card-title">Cập nhật vị trí</h3>
            </div>
            <!-- /.card-header -->
            <!-- form start -->
            <form method="POST" role="form" action="{{ route('admin.news.update.sort', $data->id) }}">
                @csrf
                @method('PUT')
                <div class="card-body">
                    <div class="form-group text-center">
                        <input type="number" min="1" max="40" class="form-control" name="sort" value="{{ $data->sort }}">
                    </div>
                </div>
                <!-- /.card-body -->
                <div class="card-footer">
                    <button type="submit" class="btn btn-primary">Hoàn thành</button>
                </div>
            </form>
        </div>
        <div class="card card-danger mt-5">
            <div class="card-header">
                <h3 class="card-title">Cập nhật trạng thái</h3>
            </div>
            <!-- /.card-header -->
            <!-- form start -->
            <form method="POST" role="form" action="{{ route('admin.news.update.active', $data->id) }}">
                @csrf
                @method('PUT')
                <div class="card-body">
                    <div class="form-group text-center">
                        <input type="checkbox" class="form-control" name="active" @if ($data->active == config('desf.admin.active') ) checked @endif>
                    </div>
                </div>
                <!-- /.card-body -->
                <div class="card-footer">
                    <button type="submit" class="btn btn-primary">Hoàn thành</button>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin/plugins/summernote/summernote-bs4.min.js') }}"></script>
<script>
    $(function () {
        $('.show_edit_tool').summernote({
            callbacks: {
                onPaste: function (e) {
                    var bufferText = ((e.originalEvent || e).clipboardData || window.clipboardData).getData('Text');
                    e.preventDefault();
                    document.execCommand('insertText', false, bufferText);
                }
            }
        });
    })
</script>

<script>
    $(".custom-file-input").on("change", function() {
        var fileName = $(this).val().split("\\").pop();
        $(this).siblings(".custom-file-label").addClass("selected").html(fileName);
    });
</script>

<script src="{{ asset('admin/plugins/bootstrap-switch/js/bootstrap-switch.min.js') }}"></script>
<script>
    $('input[name="active"]').bootstrapSwitch();
</script>

@endpush

resources/views/admin/pages/news/index.blade.php
@extends('admin.layouts.app')

@section('title', 'Tin tức')

@section('breadcrumb')
<li class="breadcrumb-item active">Tin tức</li>
@endsection

@section('content')
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title">DataTable</h3>
                <div class="float-right">
                    <a class="btn btn-app" href="{{ route('admin.news.create') }}">
                        <i class="fa fa-play"></i> Thêm mới
                    </a>
                </div>

            </div>
            <!-- /.card-header -->
            <div class="card-body">
                <div id="example2_wrapper" class="dataTables_wrapper dt-bootstrap4">
                    <div class="row">
                        <div class="col-sm-12 col-md-6"></div>
                        <div class="col-sm-12 col-md-6"></div>
                    </div>
                    <div class="row">
                        <div class="col-sm-12">
                            <table id="data_table" class="table table-bordered table-hover dataTable dtr-inline" role="grid" aria-describedby="example2_info">
                                <thead>
                                    <tr role="row">
                                        <th class="sorting_asc">#</th>
                                        <th class="sorting">Tiêu đề</th>
                                        <th class="sorting">Vị trí</th>
                                        <th class="sorting">Trạng thái</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if (isset($datas))
                                    @foreach ($datas as $key => $item)
                                    <tr role="row" class="odd">
                                        <td tabindex="0" class="sorting_1">{{ $key + 1 }}</td>
                                        <td>{{ $item->name }}</td>
                                        <td>{{ $item->sort }}</td>
                                        <td>
                                            <button type="button" class="btn btn-sm btn-{{ $item->active_class }} disabled">{{ $item->active_title }}</button>
                                        </td>
                                        <td>
                                            <a class="btn btn-info btn-sm" href="{{ route('admin.news.edit', $item->id) }}">
                                                <i class="fas fa-pencil-alt"></i>
                                                Edit
                                            </a>
                                        </td>
                                    </tr>
                                    @endforeach
                                    @else
                                    <tr>
                                        <td colspan="4" class="text-center">Không có dữ liệu</td>
                                    </tr>
                                    @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
    </div>
    <!-- /.col -->
</div>
@endsection

@push('scripts')
<script>
  $(function () {
    $('#data_table').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });
</script>
@endpush